# Sign String with NOM 151

`POST /omni/sign-string/nom151`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Sign any String with NOM 151.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `stringToSign` | string |  | String to be signed with NOM151 |

## Responses

### 200

Response:
- signedString: String. NOM 151 constancia (digital evidence)
- reference: String. Reference folio (unique confirmation id)

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
